autoweka

## Class ExperimentBatch

- java.lang.Object
- - autoweka.XmlSerializable
  - - autoweka.ExperimentBatch

-     public class ExperimentBatch
      extends XmlSerializable

  Helpful XML class that easily allows for the creation of multiple experiments. It's also easier to use this to make a batch of 1 than it is to specify everything on the command line to the ExperimentConstructor

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ExperimentBatch.DatasetComponent` Enscapsulates a dataset that you want to run experiments on
    `static class` | `ExperimentBatch.ExperimentComponent` Captures all the settings of an experiment that are not related to a dataset

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<ExperimentBatch.DatasetComponent>` | `mDatasets` The list of datasets in this batch
    `java.util.List<ExperimentBatch.ExperimentComponent>` | `mExperiments` The list of experiment prototypes in this batch

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExperimentBatch()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Experiment` | `createExperiment(ExperimentBatch.ExperimentComponent expComp, ExperimentBatch.DatasetComponent datasetComp)` Builds an Experiment from an ExperimentComponent and a DatasetComponent
    `static ExperimentBatch` | `fromXML(java.io.InputStream xml)`
    `static ExperimentBatch` | `fromXML(java.lang.String filename)`
    `static void` | `main(java.lang.String[] args)` Makes an empty batch file that you can fill in with stuff

    - ### Methods inherited from class autoweka.XmlSerializable

      `fromXML, fromXML, populateObjectFromCMDParams, populateObjectFromCMDParams, toXML, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mDatasets

          public java.util.List<ExperimentBatch.DatasetComponent> mDatasets

      The list of datasets in this batch

    - #### mExperiments

          public java.util.List<ExperimentBatch.ExperimentComponent> mExperiments

      The list of experiment prototypes in this batch

  - ### Constructor Detail

    - #### ExperimentBatch

          public ExperimentBatch()

  - ### Method Detail

    - #### fromXML

          public static ExperimentBatch fromXML(java.lang.String filename)

    - #### fromXML

          public static ExperimentBatch fromXML(java.io.InputStream xml)

    - #### createExperiment

          public static Experiment createExperiment(ExperimentBatch.ExperimentComponent expComp,
                                                    ExperimentBatch.DatasetComponent datasetComp)

      Builds an Experiment from an ExperimentComponent and a DatasetComponent
      Parameters:
        `expComp` - The experiment component.
        `datasetComp` - The dataset component.
      Returns:
        The experiment.

    - #### main

          public static void main(java.lang.String[] args)

      Makes an empty batch file that you can fill in with stuff
      Parameters:
        `args` - Any arguments.